MERGE [dbo].[WorkspaceExecutionSlas] AS T
    USING (VALUES (@Id, @WorkspaceId, @ExecutionType, @SlaMinutes)) AS S([Id], [WorkspaceId], [ExecutionType], [SlaMinutes])
    ON T.[Id] = S.[Id]
    WHEN MATCHED THEN
UPDATE
    SET T.[WorkspaceId] = S.[WorkspaceId],
    T.[ExecutionType] = S.[ExecutionType],
    T.[SlaMinutes] = S.[SlaMinutes]
    WHEN NOT MATCHED THEN
INSERT
(
[Id],
[WorkspaceId],
[ExecutionType],
[SlaMinutes])
VALUES (S.[Id], S.[WorkspaceId], S.[ExecutionType], S.[SlaMinutes]);
